Fonction Scilab
Last update : 8/6/2005

pcg - gradient conjugué préconditionné

### Calling Sequence

  `[x, flag, err, iter, res] = pcg(A, b, tol, maxit, M, x0)`

### Parameters

- `A`: matrice symétrique définie positive ou fonction retournant `A*x`
- `b`: vecteur de droite (taille: n)
- `tol`: tolérance (par défaut: 1e-8)
- `maxi`: nompbre maximum d'iterations (par défaut: n)
- `M`: préconditionnement: matrice ou fonction retournant `M*x` (par défaut: aucun)
- `x0`: solution initiale (par défaut: zeros(n,1))
- `x`: vecteur solution
- `flag`: 0 si `pcg` a convergé à la tolérance voulue avant `maxi` itérations, 1 autrement
- `err`: final residual norm
- `iter`: nombre d'itérations exécutées
- `res`: vecteur des normes des résidus

### Description

Résout le système linéaire `Ax=b` par la méthode du gradient conjugué avec préconditionnement.

La matrice `A` doit ête définie positive.

### Examples

### See Also

`pcg`,

### Author

Équipe Sage (IRISA, 2004)